program cat
    use iso_varying_string
    type(varying_string)::	buf
    integer::			ios
    do
        call get(buf, iostat=ios)
        if (ios /= 0) exit
	call put_line(char(27) // "[32m" // buf // char(27) // '[m')
	buf = ''
    enddo
end program
